Panel Due Update error (SOLVED)



  • I'm getting "extra arguments found" when trying to update FW through command prompt. Display is connected and showing bossa port 6 in device manager. win10

    Below is the text from command prompt-

    Microsoft Windows [Version 10.0.17134.950]
    (c) 2018 Microsoft Corporation. All rights reserved.

    C:\Users\william>"C:\Program Files (x86)\BOSSA\bossac.exe" --port=COM6 -e -w -v -b M:\PanelDue-5.0i-7.0i (1).bin
    bossac.exe: extra arguments found
    Try 'bossac.exe -h' or 'bossac.exe --help' for more information

    C:\Users\william>



  • Last time I did an update on windows I was able to use Bossa GUI version 1.9. Maybe give that a try instead of the command line.



  • I use the GUI version to do both the paneldue and the board when I was having issues and it works flawlessly.

    Kind Regards,

    Sam



  • @3DPMicro said in Panel Due Update error:

    C:\Users\william>"C:\Program Files (x86)\BOSSA\bossac.exe" --port=COM6 -e -w -v -b M:\PanelDue-5.0i-7.0i (1).bin

    you have an extra white space in the firmware filename, this is considered two parameters, so you need to add a qoute; try

    "C:\Program Files (x86)\BOSSA\bossac.exe" --port=COM6 -e -w -v -b "M:\PanelDue-5.0i-7.0i (1).bin"



  • Thanks for the input gents but no luck. Possibly the PanelDue itself is the issue. It doesnt appear that the erase button actually erases the FW. Using Bossa I can click info and it shows V1.13 RC2. Bossa will read, verify and write reporting succesful but nothing really happens. I did try bypassing the erase button but that had no effect. I thought I updated the board months ago but judging by the current FW i guess not.


  • administrators

    Are you saying that Bossa reports its own version as 1.13? If so, that's far to old, you need version 1.19.



  • @3DPMicro

    I dont know if this is any help I had trouble also.

    I did rename my file "PanelDue-5.0i-7.0i (1).bin" to PanelDue.bin and mine worked after



  • @dc42 maybe the 1.13 is for the processor perhaps? It shows the year as 2013.
    I am using the latest bossa 1.9.1
    Anyway. I think it updated although the touch screen needs to be calibrated. It never put the panel into calibration mode and nowhere can I touch will take me there.



  • @TPJensen thanks


  • administrators

    @3DPMicro said in Panel Due Update error:

    Anyway. I think it updated although the touch screen needs to be calibrated. It never put the panel into calibration mode and nowhere can I touch will take me there.

    Are you able to get to the Setup page?



  • @dc42 said in Panel Due Update error:

    Are you able to get to the Setup page?

    I was not. I loaded 1.21.3 and it worked then went back to 1.23.2 and it is working perfectly. All is well.
    I dont know if its possible but it seemed like updating from the original FW that was on the board (purchased from filastruder in February of 2018) to the latest was the issue. I tried every way under the sun with no luck until loading the earlier FW


Log in to reply